Inventor General

Reply
Mentor
mehatfie
Posts: 163
Registered: ‎02-10-2012
Message 1 of 4 (239 Views)

Access Application Options through iLogic

239 Views, 3 Replies
02-10-2012 07:34 AM

Hello All,

 

I am new to iLogic and trying to access the "Application Options" under the "Tools" tab. I am trying to grab some information from a couple of fields but it seems that I don't have the right coding or Snippets that indicate how I would do so.

 

Please point me in the right direction of a helpful source or if anybody knows how to code this.

 

Thanks in Advance

Mitch

*Expert Elite*
Curtis_Waguespack
Posts: 2,566
Registered: ‎03-08-2006
Message 2 of 4 (232 Views)

Re: Access Application Options through iLogic

02-10-2012 08:06 AM in reply to: mehatfie

Hi mhatfield,

 

Here is a quick example of an iLogic rule that works with Application Options. If you look up SketchOptions or GeneralOptions, etc in the API reference, you'll find a listing of all of the properties available. Or reply back with the specific properties you're wanting to change.

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com

 

 

'get Application Options > General Tab > User Name
myName = ThisApplication.GeneralOptions.UserName
MessageBox.Show(myName, "Title")

'set Application Options > General Tab > 3D Indicatior
if ThisApplication.GeneralOptions.Show3DIndicator = True Then
ThisApplication.GeneralOptions.Show3DIndicator = False
Else if ThisApplication.GeneralOptions.Show3DIndicator = False Then
ThisApplication.GeneralOptions.Show3DIndicator = True
Else
End if

'get current Application Options > General Tab > Select Other Delay
myDelay  = ThisApplication.GeneralOptions.SelectOtherDelay
'set Application Options > General Tab > Select Other Delay
myDelay = InputBox("Enter a new Select Other Delay", "iLogic", myDelay)
ThisApplication.GeneralOptions.SelectOtherDelay = myDelay

'set current Application Options > Sketch Tab > Display Grid Lines
if ThisApplication.SketchOptions.DisplayGridLines = True Then
ThisApplication.SketchOptions.DisplayGridLines = False
Else if ThisApplication.SketchOptions.DisplayGridLines = False Then
ThisApplication.SketchOptions.DisplayGridLines = True
Else
End if

'Update All
iLogicVb.UpdateWhenDone = True

'Display the Application Options Dialog Box
ThisApplication.CommandManager.ControlDefinitions.Item("AppApplicationOptionsCmd").Execute

 



  solution.png  Did you find this reply helpful ? If so please use the Accept as Solution or  Kudos button below.





Mentor
mehatfie
Posts: 163
Registered: ‎02-10-2012
Message 3 of 4 (227 Views)

Re: Access Application Options through iLogic

02-10-2012 08:19 AM in reply to: Curtis_Waguespack

Hi Curtis,

 

Thank you very much for your assistance as just seeing the "walk through" as to how the code works will definitely help me moving forward.

 

Is there a possibility you'd be able to help me with my other issue?

http://forums.autodesk.com/t5/Autodesk-Inventor/Trigger-Custom-Add-Ins-Button-through-iLogic/td-p/33...

 

Again, Thank you for all your help

Mitch

 

Member
Posts: 3
Registered: ‎11-08-2013
Message 4 of 4 (65 Views)

Re: Access Application Options through iLogic

11-08-2013 02:13 AM in reply to: mehatfie

Is it possible to change the color scheme and bacground color with ilogic roles? Does anybody knows how to code this?

 

Arnstein

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Welcome to the new Autodesk Community!
If this is your first visit, click here to get started and make the most of the Community. Let us know what you think of the new experience in the Community Feedback Forum.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Inventor Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for Autodesk Inventor helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Inventor

Twitter

Facebook

Blogs

Pinterest

Youtube